Info

# 2 Base

Styling for basic HTML block and inline elements.

Close
Source
`agaric.scss`, line 21
Info

## 2.1 Blockquote

Intended for use on node pages such as blog posts and case studies.

Close
Source
`agaric/_base.blockquote.scss`, line 1
Info

## 2.2 Elements

Extend Bulma basic HTML elements in `.content` blocks. It includes color classes.

Parameters:

- `.is-blue`
  color
- `.is-marine`
  color
- `.is-berry`
  color
- `.is-cinnamon`
  color
- `.is-dark`
  color
- `.is-grey`
  color
- `.is-dandelion`
  color

Close
Source
`agaric/_base.elements.scss`, line 1
Info

### 2.2.1 Byline

Close
Source
`agaric/_base.elements.scss`, line 113
Info

### 2.2.2 Rule

Adds big border

Close
Source
`agaric/_base.elements.scss`, line 82
Info

### 2.2.3 Titles

Extends Bulma `.title` and `.subtitle` classes

Parameters:

- `.is-compact`
  remove margins and spacing

Close
Source
`agaric/_base.elements.scss`, line 97
Info

## 2.3 Form

Extends Bulma Form classes.

Close
Source
`agaric/_base.form.scss`, line 1
Info

## 2.4 Typography

...

Parameters:

- `.is-sans`
  sans serif @font-face {
- `.is-mono`
  monospace font

Close
Source
`agaric/_base.typography.scss`, line 1
Info

### 2.4.1 Blockquote

Close
Source
`agaric/_base.typography.scss`, line 126
Info

### 2.4.2 Definition List

Close
Source
`agaric/_base.typography.scss`, line 141
Info

### 2.4.3 Headings

Close
Source
`agaric/_base.typography.scss`, line 67
Info

### 2.4.4 Horizontal Rule

Close
Source
`agaric/_base.typography.scss`, line 156
Info

### 2.4.5 Link

Close
Source
`agaric/_base.typography.scss`, line 146
Info

### 2.4.6 Ordered List

Close
Source
`agaric/_base.typography.scss`, line 131
Info

### 2.4.7 Paragraph

Close
Source
`agaric/_base.typography.scss`, line 121
Info

### 2.4.8 Table

Close
Source
`agaric/_base.typography.scss`, line 151
Info

### 2.4.9 Title

Close
Source
`agaric/_base.typography.scss`, line 21
Info

### 2.4.10 Unordered List

Close
Source
`agaric/_base.typography.scss`, line 136
Info

## 2.5 Bulma Variables

Customize Bulma variables

Close
Source
`agaric/_variables.scss`, line 1
Info

## 2.5 Global Variables

Custom overrides of `bulma/utilities/initial-variables.sass`.

Close
Source
`agaric.scss`, line 3
Info

### 2.5.1 Animation

Animation timing

Close
Source
`agaric/_variables.scss`, line 171
Info

### 2.5.2 Borders

Border radius

Close
Source
`agaric/_variables.scss`, line 181
Info

### 2.5.3 Breakpoints

Set responsive breakpoints

Close
Source
`agaric/_variables.scss`, line 155
Info

### 2.5.4 Colors

Assign colors

Close
Source
`agaric/_variables.scss`, line 12
Info

### 2.5.5 Fonts

Set fonts

Close
Source
`agaric/_variables.scss`, line 91
Info

### 2.5.6 Grid

Customize grid dimensions

Close
Source
`agaric/_variables.scss`, line 146
Info

### 2.5.7 Typography

Customize type sizes and weights

Close
Source
`agaric/_variables.scss`, line 121
Info

## 2.6 Figures and Images

...

Close
Source
`agaric/_base.figure.scss`, line 1